%define anolis_release 1
Name:           perl-IO-Zlib
Epoch:          2
Version:        1.11
Release:        %{anolis_release}%{?dist}
Summary:        Perl IO:: style interface to Compress::Zlib
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Zlib
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOMHUGHES/IO-Zlib-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  gzip
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Carp)
BuildRequires:  perl(Compress::Zlib) >= 2
BuildRequires:  perl(Fcntl)
# IO::Handle used if gzip backend is requested
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Tie::Handle)
# The code defaults to Compress::Zlib, but a user can override it to gzip by
# importing :gzip_external symbol
Requires:       gzip
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Compress::Zlib) >= 2
Requires:       perl(IO::Handle)

%description
IO::Zlib provides an IO:: style interface to Compress::Zlib and hence to
gzip/zlib-compressed files. It provides many of the same methods as the
IO::Handle interface.

%prep
%setup -q -n IO-Zlib-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 27 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2:1.11-1
- init from upstream
